Bug 182403

Summary: New port: sysutils/p5-BackupPC-XS Perl extension for BackupPC libraries
Product: Ports & Packages Reporter: Alexander Moisseev <moiseev>
Component: Individual Port(s)Assignee: Philippe Audeoud <jadawin>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.shar
none
p5-BackupPC-XS.shar none

Description Alexander Moisseev 2013-09-26 12:30:00 UTC
BackupPC::XS implements various BackupPC functions in a perl-callable module.
This module is required for BackupPC V4+.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-09-26 12:30:08 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-09-26 12:30:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 3 Alexander Moisseev 2013-10-04 10:50:20 UTC
Attached shar converted to Stage.
Please, use it instead of originally submitted.
Comment 4 Philippe Audeoud freebsd_committer 2013-11-15 10:45:09 UTC
Responsible Changed
From-To: perl->jadawin

I'll take it.
Comment 5 dfilter service freebsd_committer 2013-11-18 14:08:16 UTC
Author: jadawin
Date: Mon Nov 18 14:08:08 2013
New Revision: 334197
URL: http://svnweb.freebsd.org/changeset/ports/334197

Log:
  BackupPC::XS implements various BackupPC functions in a perl-callable module.
  This module is required for BackupPC V4+.
  
  WWW: http://backuppc.sourceforge.net
  
  PR:		ports/182403
  Submitted by:	Alexander Moisseev <moiseev@mezonplus.ru>

Added:
  head/sysutils/p5-BackupPC-XS/
  head/sysutils/p5-BackupPC-XS/Makefile   (contents, props changed)
  head/sysutils/p5-BackupPC-XS/distinfo   (contents, props changed)
  head/sysutils/p5-BackupPC-XS/files/
  head/sysutils/p5-BackupPC-XS/files/patch-Makefile.PL   (contents, props changed)
  head/sysutils/p5-BackupPC-XS/pkg-descr   (contents, props changed)
  head/sysutils/p5-BackupPC-XS/pkg-plist   (contents, props changed)
Modified:
  head/sysutils/Makefile

Modified: head/sysutils/Makefile
==============================================================================
--- head/sysutils/Makefile	Mon Nov 18 13:54:17 2013	(r334196)
+++ head/sysutils/Makefile	Mon Nov 18 14:08:08 2013	(r334197)
@@ -576,6 +576,7 @@
     SUBDIR += p5-BSD-Jail-Object
     SUBDIR += p5-BSD-Process
     SUBDIR += p5-BSD-Sysctl
+    SUBDIR += p5-BackupPC-XS
     SUBDIR += p5-Brackup
     SUBDIR += p5-Dir-Purge
     SUBDIR += p5-File-DirCompare

Added: head/sysutils/p5-BackupPC-XS/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/p5-BackupPC-XS/Makefile	Mon Nov 18 14:08:08 2013	(r334197)
@@ -0,0 +1,21 @@
+# Created by: Alexander Moisseev <moiseev@mezonplus.ru>
+# $FreeBSD$
+
+PORTNAME=	BackupPC-XS
+PORTVERSION=	0.20
+CATEGORIES=	sysutils perl5
+MASTER_SITES=	SF
+MASTER_SITE_SUBDIR=	backuppc/backuppc-beta/4.0.0alpha2
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	moiseev@mezonplus.ru
+COMMENT=	Perl extension for BackupPC libraries
+
+LICENSE=	GPLv3
+
+USES=		perl5
+USE_PERL5=	configure
+
+MAKE_JOBS_UNSAFE=yes
+
+.include <bsd.port.mk>

Added: head/sysutils/p5-BackupPC-XS/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/p5-BackupPC-XS/distinfo	Mon Nov 18 14:08:08 2013	(r334197)
@@ -0,0 +1,2 @@
+SHA256 (BackupPC-XS-0.20.tar.gz) = b80745bac2a0d8c3d8e4c0be72d68e2d4450926f065d8b9af62cbee555d83f87
+SIZE (BackupPC-XS-0.20.tar.gz) = 281081

Added: head/sysutils/p5-BackupPC-XS/files/patch-Makefile.PL
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/p5-BackupPC-XS/files/patch-Makefile.PL	Mon Nov 18 14:08:08 2013	(r334197)
@@ -0,0 +1,31 @@
+--- Makefile.PL.orig	2013-05-26 11:32:01.000000000 +0400
++++ Makefile.PL	2013-09-26 09:38:14.000000000 +0400
+@@ -14,10 +14,6 @@
+             bpc_refCount$(OBJ_EXT)
+     ];
+ $object =~ s/[\n\r\s]+/ /g;
+-my $ldfrom = $object;
+-$ldfrom =~ s{(\w+)/}{}g;
+-$ldfrom .= ' zlib/libzlib$(LIB_EXT)';
+-$ldfrom .= ' md5/libmd5$(LIB_EXT)';
+ 
+ WriteMakefile(
+     NAME              => 'BackupPC::XS',
+@@ -28,7 +24,7 @@
+     DEFINE            => '', # e.g., '-DHAVE_SOMETHING'
+     INC               => '-I.', # e.g., '-I. -I/usr/include/other'
+     OBJECT            => $object,
+-    LDFROM            => $ldfrom,
++    MYEXTLIB          => 'zlib/libzlib$(LIB_EXT) md5/libmd5$(LIB_EXT)',
+     DIR               => ['md5', 'zlib'],
+     depend            => { 'BackupPC_XS.o' => 'config.h' },
+     clean             => { FILES => "config.log config.status config.h" },
+@@ -38,7 +34,7 @@
+         return <<'EOF';
+ 
+ zlib/libzlib$(LIB_EXT): zlib/Makefile config.h
+-	cd md5 && $(MAKE) $(PASSTHRU)
++	cd zlib && $(MAKE) $(PASSTHRU)
+ 
+ md5/libmd5$(LIB_EXT): md5/Makefile config.h
+ 	cd md5 && $(MAKE) $(PASSTHRU)

Added: head/sysutils/p5-BackupPC-XS/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/p5-BackupPC-XS/pkg-descr	Mon Nov 18 14:08:08 2013	(r334197)
@@ -0,0 +1,4 @@
+BackupPC::XS implements various BackupPC functions in a perl-callable module.
+This module is required for BackupPC V4+.
+
+WWW: http://backuppc.sourceforge.net

Added: head/sysutils/p5-BackupPC-XS/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/p5-BackupPC-XS/pkg-plist	Mon Nov 18 14:08:08 2013	(r334197)
@@ -0,0 +1,8 @@
+%%PERL5_MAN3%%/BackupPC::XS.3.gz
+%%SITE_PERL%%/mach/BackupPC/XS.pm
+%%SITE_PERL%%/mach/auto/BackupPC/XS/.packlist
+%%SITE_PERL%%/mach/auto/BackupPC/XS/XS.bs
+%%SITE_PERL%%/mach/auto/BackupPC/XS/XS.so
+@dirrm %%SITE_PERL%%/mach/auto/BackupPC/XS
+@dirrm %%SITE_PERL%%/mach/auto/BackupPC
+@dirrmtry %%SITE_PERL%%/mach/BackupPC
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Philippe Audeoud freebsd_committer 2013-11-18 14:08:41 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!